# Cashout Feed

```
/feed/cashout/v2?revision=<revision>
```

`revision` - Unix time stamp seconds of the moment, from which you want to get recovery. Can be `0` for initial connection. Max value - 3 days from current time.

The feed contains real-time updated suggested cashout values for bets.

{% hint style="warning" %}
The stream connection is rate-limited and there can be only 1 active connection at a time.
{% endhint %}

Rate limit configuration is the following:

* Connection attempt without revision - 5 connections per 30 minutes
* Connection attempt with too small revision - 5 connections per 30 minutes
* Connection attempt with proper revision - 5 connections per 5 minutes

## Message Format

## The Marlin.SportsbetApi.Models.Cashout.CashoutFeedMessage object

```json
{"openapi":"3.0.4","info":{"title":"[T1159-STAGE] Odds88 API","version":"v1"},"components":{"schemas":{"Marlin.SportsbetApi.Models.Cashout.CashoutFeedMessage":{"type":"object","properties":{"pingId":{"type":"string","description":"Message ping id, if the message is a ping","nullable":true},"data":{"allOf":[{"$ref":"#/components/schemas/Marlin.SportsbetApi.Models.Cashout.CashoutViewModel"}],"description":"Message data","nullable":true}},"additionalProperties":false,"description":"Model representing cashout feed message"},"Marlin.SportsbetApi.Models.Cashout.CashoutViewModel":{"required":["betId","playerId","status","timestamp"],"type":"object","properties":{"playerId":{"type":"string","description":"Player id","nullable":true},"betId":{"type":"string","description":"Bet (request) id","nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/Marlin.SportsbetApi.Models.Cashout.CashoutStatus"}],"description":"Status of cashout\n\n* `1` - Available\n* `2` - NotSupported\n* `3` - CashedOut"},"reason":{"type":"string","description":"Reason, if the Marlin.SportsbetApi.Models.Cashout.CashoutViewModel.Status is something other than Marlin.SportsbetApi.Models.Cashout.CashoutStatus.Available","nullable":true},"amount":{"allOf":[{"$ref":"#/components/schemas/Marlin.SportsbetApi.Models.Cashout.CashoutAmountViewModel"}],"description":"Amount view model","nullable":true},"timestamp":{"type":"string","description":"Timestamp of the message","format":"date-time"}},"additionalProperties":false,"description":"Model representing cashout"},"Marlin.SportsbetApi.Models.Cashout.CashoutStatus":{"enum":[1,2,3],"type":"integer","description":"Enum representing different cashout statuses\n\n* `1` - Available\n* `2` - NotSupported\n* `3` - CashedOut","format":"int32"},"Marlin.SportsbetApi.Models.Cashout.CashoutAmountViewModel":{"required":["currency","localAmount","precision"],"type":"object","properties":{"localAmount":{"type":"number","description":"Cashout amount","format":"double"},"precision":{"type":"integer","description":"Precision value","format":"int32"},"currency":{"type":"string","description":"Currency ticker symbol","nullable":true}},"additionalProperties":false,"description":"View model representing amount"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.odds88.io/odds88-client-api/odds88-feeds/cashout-feed.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
